Bug 1663220

Summary: firewall-config fails with the error 'ModuleNotFoundError: No module named 'six''
Product: [Fedora] Fedora Reporter: Ken Fallon <ken>
Component: firewalkAssignee: Huzaifa S. Sidhpurwala <huzaifas>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: huzaifas, sindrepb, tom
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 23:35:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ken Fallon 2019-01-03 13:18:56 UTC
Description of problem:
When trying to open the fedora 28 gui the application fails with the following error. 

ModuleNotFoundError: No module named 'six'



Version-Release number of selected component (if applicable):

[root@pc ~]# dnf info firewall-config
Last metadata expiration check: 1:40:36 ago on 2019-01-03T12:36:43 CET.
Installed Packages
Name         : firewall-config
Version      : 0.5.5
Release      : 1.fc28
Arch         : noarch
Size         : 1.1 M
Source       : firewalld-0.5.5-1.fc28.src.rpm
Repo         : @System
From repo    : updates
Summary      : Firewall configuration application
URL          : http://www.firewalld.org
License      : GPLv2+
Description  : The firewall configuration application provides an configuration interface for
             : firewalld.

[root@pc ~]# cat /etc/redhat-release 
Fedora release 28 (Twenty Eight)


How reproducible:


Steps to Reproduce:
1. Run firewall-config

Actual results:
# firewall-config 
Traceback (most recent call last):
  File "/usr/bin/firewall-config", line 47, in <module>
    from firewall import client
  File "/usr/lib/python3.6/site-packages/firewall/client.py", line 29, in <module>
    import slip.dbus
  File "/usr/lib/python3.6/site-packages/slip/dbus/__init__.py", line 8, in <module>
    from . import service
  File "/usr/lib/python3.6/site-packages/slip/dbus/service.py", line 30, in <module>
    from six import with_metaclass
ModuleNotFoundError: No module named 'six'

Expected results:
The UI Should open.

Additional info:

The module seems to be available on both python 2 and 3

[root@pc ~]# python3
Python 3.6.7 (default, Nov 23 2018, 12:11:28) 
[GCC 8.2.1 20181105 (Red Hat 8.2.1-5)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import six
>>> quit()

[root@pc ~]# python2
Python 2.7.15 (default, Oct 15 2018, 15:24:06) 
[GCC 8.1.1 20180712 (Red Hat 8.1.1-5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import six
>>> quit()

Running # dnf reinstall firewall-config, did not resolve the issue.

Comment 1 Ken Fallon 2019-01-04 07:33:13 UTC
Resolved in Fedora 29.

Not sure if I should close this or if someone wants to link to a ticket showing where it was fixed ?

Comment 2 Tom H 2019-01-19 13:39:38 UTC
The same problem applies to the `firewallctl` command:

$ sudo firewallctl
Traceback (most recent call last):
  File "/usr/bin/firewallctl", line 31, in <module>
    from firewall.client import FirewallClient, FirewallClientIPSetSettings, \
  File "/usr/lib/python3.6/site-packages/firewall/client.py", line 29, in <module>
    import slip.dbus
  File "/usr/lib/python3.6/site-packages/slip/dbus/__init__.py", line 8, in <module>
    from . import service
  File "/usr/lib/python3.6/site-packages/slip/dbus/service.py", line 30, in <module>
    from six import with_metaclass
ModuleNotFoundError: No module named 'six'

which is definitely installed;

$ python3
Python 3.6.7 (default, Nov 23 2018, 12:11:28)
[GCC 8.2.1 20181105 (Red Hat 8.2.1-5)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from six import with_metaclass
>>>

Comment 3 Tom H 2019-01-19 14:05:42 UTC
ah ok. Force reinstalling the python3-six command did the trick;

$ sudo dnf reinstall python3-six

Comment 4 Ben Cotton 2019-05-02 19:17:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-02 19:59:08 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 23:35:33 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.